view.animation

## Class JJAnimationRotation

- java.lang.Object
- - view.animation.JJAnimation
  - - view.animation.JJAnimationRotation

    public class JJAnimationRotation
    extends JJAnimation

The Class JJAnimationRotation.

### Constructor Summary

Constructors
Constructor and Description
`JJAnimationRotation(int pas, JJComponent compo, double angle, boolean vieLimite)` Instantiates a new JJ animation rotation.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `animer()` Animer.

### Methods inherited from class view.animation.JJAnimation

`decalerPas, getPas, isVieLimite, setPas, setVieLimite`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JJAnimationRotation

    public JJAnimationRotation(int pas,
                               JJComponent compo,
                               double angle,
                               boolean vieLimite)

Instantiates a new JJ animation rotation.

Parameters:
  `pas` - the pas
  `compo` - the compo
  `angle` - the angle
  `vieLimite` - the vie limite

### Method Detail

#### animer

    public boolean animer()

Description copied from class: `JJAnimation`
Animer.

Overrides:
  `animer` in class `JJAnimation`
Returns:
  true, if successful